#include "MenuTextCancel_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextCancel_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextCancel_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_cancel;
}


std::shared_ptr<Entity> CreateMenuTextCancel_Player1Keyboard()
{
	return std::make_shared<MenuTextCancel_Player1Keyboard>();
}

